Subject: RE: Begin WG Last Call: draft-psamp-framework-05.txt

From: <[email-masked]>
Date: Wed, 9 Jun 2004 12:22:31 -0400

Tom,

Thanks for your comments. Apologies for the delayed reply. 

On the points you raised:

1) Abstract: I agree the text needs rewriting here and at other points.
Thanks for your suggestions.

2) Section 2. (that you call the "glossary of terms"). This was intended
as an exposition of the architecture. There have been a number of
different suggestions for its layout in the past. It would be good to
get agreement on its form if any changes are to be made. Here a three
suggestions for layout.

	(a) Top down: main concepts come first, referring to items
defined later (the current layout)

	(b) Bottom up: all concepts are defined before use, buidling up
to main concepts at the end.

   	(c) Alphabetical for reference.

Comments and preferences? Do the IETF RFC editors have a preference?

3) Put diagram on one page. Agreed.

Nick

> -----Original Message-----
> From: Tom Petch [mailto:[email-masked]]
> Sent: Thursday, February 26, 2004 12:24 PM
> To: Juergen Quittek
> Cc: [email-masked]
> Subject: Re: Begin WG Last Call: draft-psamp-framework-05.txt
> 
> Inline
> 
> -----Original Message-----
> From: Juergen Quittek <[email-masked]>
> To: Benoit Claise <[email-masked]>
> Cc: Andy Bierman <[email-masked]>; [email-masked]
> <[email-masked]>
> Date: 25 February 2004 09:28
> Subject: Re: Begin WG Last Call: draft-psamp-framework-05.txt
> 
> 
> >Benoit,
> >
> >--On 24.02.2004 20:14 Uhr +0100 Benoit Claise wrote:
> >
> >> Juergen, Andy,
> >>
> >> I wanted to review the framework draft before the deadline. I'm a
> little
> bit late I know ;)
> >
> >I am not willing to close WG last call without
> >indication that the document was thoroughly reviewed.
> >And except for the discussion on the targeted document
> >status there was no such indication, yet.
> >
> >So yes, you miss the deadline set originally,
> >but the call is still open.
> >
> >All others on the list:
> >If your time allows, PLEASE have a look at this document
> >and send us your comments!
> >
> 
> Ah well, if you insist.
> 
> I do not think this document is ready for submission; the content is
there
> but I have to work hard, too hard, to extract it and even then I am
not
> sure if I have understood.  It is a question of presentation and
style,
> possibly of target audience.
> 
> To give but three examples.
> 
> 1) Abstract.  What I think this is saying is
> 
> Many network management tasks depend on having timely information
about
> traffic.  This document describes a framework for traffic sampling.
> Traffic
> is sampled at Observation Points, using Selectors, and then exported
as a
> summary Report to one or more Collectors.  The Observation Points may
be
> dedicated devices or integral with any networking box.  The possible
> Selectors, which can be configured by the user, have been chosen to
suit
> operation with high-speed interfaces.  The Collector may be integral
with
> the Observation Point or remote from it.
> 
> If I am right, then the document should changed to make this clearer.
If
> I
> am wrong, then the document should be changed to make what it is
clearer:-
> )
> 
> 2) A glossary of terms (pp4-6) is useful.  Most reference books I use
have
> one, but at the back, for reference, not in the middle of the flow of
what
> I am trying to comprehend.  And with most glossaries I know where to
look
> for what I want because I can divine the order eg alphabetical or of
> importance or ....  Here, I know not where to look.  First comes
> Observation Point, clearly important.  If I understand aright, then
equal
> in importance are Collectors and Selectors but to get to these I have
to
> go
> through
> Observed Packet Stream: Packet Stream: Selection Process: Packet
Content:
> Selection State: (ah-ha) Selector: Composite Selection Process:
Primitive
> Selection Process: Composite Selector: Primitive Selector: Reporting
> Process: Report Stream: (still with me?) Packet Reports: Report
> Interpretation: Measurement Process: Export Process: Collector:
(gotcha)
> why? what is this order aimed at? and why the glossary here in the
midst
> of
> the document?

> 
> 3) The diagram on pp 6/7 is most helpful or it would be if it were on
a
> page.  Split across two does make it far harder to use (as I found it
a
> hotel room in Minneapols where I first read it).  Obvious perhaps but
this
> has not been changed when it could have been by now.
> 
> As I said, but three examples.  The underlying issues apply to many if
not
> most of the paragraphs in the I-D.
> 
> I think that the document is useful once what is in the document has
been
> understood; it is not useful if I want to know what PSAMP is about.
And a
> framework document should be - IMO - an introduction, a level one not
a
> level three document.
> 
> Tom Petch
> 
> >Thanks,
> >
> >    Juergen
> >
> <snip/>
> >>>>
> >>>>>> -----Original Message-----
> >>>>>> From: [email-masked]
> >>>>>> [mailto:[email-masked]]On Behalf Of Juergen Quittek
> >>>>>> Sent: 31 January, 2004 12:10 AM
> >>>>>> To: [email-masked]
> >>>>>> Subject: Re: Begin WG Last Call: draft-psamp-framework-05.txt
> >>>>>>
> >>>>>>
> >>>>>> Dear all,
> >>>>>>
> >>>>>> Inline please find a small correction of the WG last call.
> >>>>>>
> >>>>>> --On 30.01.2004 19:39 Uhr +0100 Juergen Quittek wrote:
> >>>>>>
> >>>>>> > Dear all,
> >>>>>> >
> >>>>>> > The PSAMP WG has completed work on
> >>>>>> >
> >>>>>> >    A Framework for Packet Selection and Reporting.
> >>>>>> >
> >>>>>> > The WG proposes that the I-D 'draft-psamp-framework-05.txt'
> >>>>>> > is the completed version of this document.
> >>>>>> >
> >>>>>> > The WG members are strongly urged to review this document as
> >>>>>> > soon as possible, and express any concerns, or identify any
> errors,
> >>>>>> > in an email to the PSAMP WG mailing list.
> >>>>>> >
> >>>>>> > Unless there are strong objections, published on the PSAMP
> >>>>>> WG mailing
> >>>>>> > list by Friday, February 20th, this document will be
forwarded
> >>>>>> > to the OPS Area Directors for standards track consideration
by
> >>>>>> > the IESG.
> >>>>>>
> >>>>>> This is not correct. Considering the nature of the document
> >>>>>> the target will be an informational RFC.
> >>>>>>
> >>>>>>     Juergen
> >>>>>>
> >>>>>> > Please send all comments to the WG mailing list at
> >>>>>> [email-masked].
> >>>>>> >
> >>>>>> > Thanks,
> >>>>>> >
> >>>>>> >     Juergen
> >>>>>> > --
> >>>>>> > Juergen Quittek        [email-masked]       Tel: +49
> >>>>>> 6221 90511-15
> >>>>>> > NEC Europe Ltd.,       Network Laboratories        Fax: +49
> >>>>>> 6221 90511-55
> >>>>>> > Kurfuersten-Anlage 36, 69115 Heidelberg, Germany
> >>>>>
> >>>>> http://www.ccrle.nec.de
> >>>>>
> >>>>>>
> >>>>>> --
> >>>>>> to unsubscribe send a message to [email-masked]
with
> >>>>>> the word 'unsubscribe' in a single line as the message text
body.
> >>>>>> archive: <http://ops.ietf.org/lists/psamp/>
> 
> 
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/psamp/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/psamp/>